<?php

/**
 * The file that defines the core plugin configurator class
 *
 * @link       https://wpconfiguratorbuilder.com
 * @since      1.0.0
 *
 * @package    wcb-configurator-builder
 * @subpackage wcb-configurator-builder/includes
 */

if ( ! defined('ABSPATH') ) {
	die();
}

use Carbon_Fields\Block;
use Carbon_Fields\Field;

Block::make( __( 'WCB HTML', 'wcb-configurator-builder' ) )
	->add_fields( array(
		Field::make( 'textarea', 'wpcb_html', __( 'Custom HTML', 'wcb-configurator-builder' ) )
			->set_help_text( __( 'Enter custom HTML', 'wcb-configurator-builder' ) ),
	) )
	->set_description( __( 'Displays custom HTML in the configuration form', 'wcb-configurator-builder' ) )
	->set_keywords(['wcb', 'input'])
	->set_category( 'wpcb-formatting', __( 'Formatting', 'wcb-configurator-builder' ) )
	->set_icon( 'html' )
	->set_mode( 'edit' )
	->set_render_callback( function ( $block_fields, $attributes, $inner_blocks ) {
		
	});